//--------------------------------------------------------------------
// ravi.mq4 
//--------------------------------------------------------------- 1 --
#property copyright "Copyright  Roman Shiredchenko, 2009"
//--------------------------------------------------------------------
#property indicator_separate_window 
#property indicator_buffers 1      //  
#property indicator_color1  Blue    //   0 

#property  indicator_level1  1
#property  indicator_level2  -1
//--------------------------------------------------------------- 2 --
//---- indicator parameters 

extern int History    =5000;      // .   
extern int Period1=7; 
extern int Period2=65; 

double
   Line_0[];                        // .   ravi 
    
//--------------------------------------------------------------- 4 --

int init()                          //   init()
  {
   SetIndexBuffer(0,Line_0);        //   
   SetIndexStyle (0,DRAW_LINE,STYLE_SOLID,2);//  
   
   IndicatorShortName("ravi_base");
//--------------------------------------------------------------- 5 --
   
   return;                          //   .  init()
  }

//--------------------------------------------------------------- 8 --
int start()                         //   start()
  {
//--------------------------------------------------------------- 9 --
  
   double
   SMA1,  SMA2;                  // 2      
                                 // y (SMA1-SMA2)*100)/SMA2; 
                             
   int
   i,                            //  
   n,                            // . ( )
   Counted_bars;                 //    

//-------------------------------------------------------------- 10 --
   Counted_bars=IndicatorCounted(); //    
   i=Bars-Counted_bars-1;           //   
   if (i>History-1)                 //     ..
      i=History-1;                  // ..  .
//-------------------------------------------------------------- 11 --
   while(i>=0)                      //    
     {
      //-------------------------------------------------------- 12 --
        
      SMA1=iMA(NULL,0,Period1,0,MODE_SMA,PRICE_CLOSE,i); //   1
      SMA2=iMA(NULL,0,Period2,0,MODE_SMA,PRICE_CLOSE,i); //   2
      
      Line_0[i] =0; 
      if (SMA2>0) Line_0[i] = ((SMA1-SMA2)*100)/SMA2;    //  .   ravi
     
      //-------------------------------------------------------- 13 --
      i--;                          //    
      //-------------------------------------------------------- 14 --
     }
   return;                          //   . - start()
  }
//-------------------------------------------------------------- 15 --